Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008262opensim[GRID] Other Servicepublic2017-11-07 13:162017-11-15 14:25
ReporterReg Halostar 
Assigned Tomelanie 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.9.0 
Target VersionFixed in Version 
Summary0008262: Feature Request: permanent storage of mute list
DescriptionAt current status one can mute another avatar in the viewer but that's kept only for the current session. After a relog the mute list is empty and has to be redone.

It would be a nice addition to have the mute list stored on the server where it can be retrieved during login. That way the list would be accessible even if one uses a different computer. At logout the viewer sends the current state of the mute list to the server so it could be stored.

The framework for that is already in OpenSim Core but it would need some fill-ins of code actually handling it. During the developer meeting on 11/07/17 some aspects of this were discussed: http://opensimulator.org/wiki/Chat_log_from_the_meeting_on_2017-11-07 [^]
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentUnknown
Mono VersionNone
ViewerAll
Attached Files

- Relationships
related to 0008266new Feature Wish: configurable persistent mute-list 

-  Notes
(0032412)
UbitUmarov (administrator)
2017-11-11 19:42

Our mute lists module is actually a Dummy :(
a external one is needed for now( NSL module or similar ? )

I did fix imofflineV2, preventing it from always deleting the mutes.

if you do not enable our dummy module, viewers may use the mutes they have in cache. Note the they may be also from other grids like SL.
if you uncomment both MuteListModule and MuteListURL lines as they are in Opensim.example.ini, the mutes will be deleted on login on a region of that instance. The URL is ignored.
(0032420)
Sheera Khan (reporter)
2017-11-13 09:47
edited on: 2017-11-13 09:59

I tested the current state on a region in MetroTest-Grid running on MetroTest 0.9.1.0 Dev GIT:6546ea6-0.9.0-1706-g6546ea6 with three viewers:
Phoenix_FirestormOS-Releasex64_x86_64_5.0.7.52912
Singularity_1_8_7_6866_x86_64
KokuaOS_64_4_2_1_39007_x86_64
In all three viewers I muted an avatar via profile - block and relogged after verifying the mute worked correctly. After the relog the mute list was empty and the avatar was unmuted.

The viewer-protcol contained some hints:
Kokua:
2017-11-13T17:26:56Z WARNING: initCommitCallback: No callback found for: 'Avatar.GearDoToSelected' in control: MuteText
2017-11-13T17:26:57Z INFO: processMuteListUpdate: LLMuteList::processMuteListUpdate()
2017-11-13T17:26:57Z INFO: initializeRequest: Requesting xfer from 62.75.185.219:9051 for file: /home/sheera/.kokuaos/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:26:57Z WARNING: warnif: Couldn't remove '/home/sheera/.kokuaos/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609' (errno 2): No such file or directory
2017-11-13T17:26:57Z WARNING: warnif: Couldn't rename to '/home/sheera/.kokuaos/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609' from '/tmp/62512a36-bd39-b5d8-539a-4ecfc9d87322.tmp' (errno 18): Invalid cross-device link
2017-11-13T17:26:57Z INFO: processEOF: Rename failure (18) - /tmp/62512a36-bd39-b5d8-539a-4ecfc9d87322.tmp to /home/sheera/.kokuaos/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:26:57Z INFO: processEOF: xfer from 62.75.185.219:9051 complete: /home/sheera/.kokuaos/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:26:57Z INFO: onFileMuteList: LLMuteList::processMuteListFile()

Singularity:
2017-11-13T17:36:10Z INFO: idle_startup: Requesting Mute List
2017-11-13T17:36:11Z INFO: processMuteListUpdate: LLMuteList::processMuteListUpdate()
2017-11-13T17:36:11Z INFO: initializeRequest: Requesting xfer from 62.75.185.219:9051 for file: /home/sheera/.secondlife/cache_sg1/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:36:12Z WARNING: warnif: Couldn't remove '/home/sheera/.secondlife/cache_sg1/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609' (errno 2): No such file or directory
2017-11-13T17:36:12Z WARNING: warnif: Couldn't rename to '/home/sheera/.secondlife/cache_sg1/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609' from '/tmp/1717b334-39f0-1ddc-25f7-1ac9db92f4b8.tmp' (errno 18): Invalid cross-device link
2017-11-13T17:36:12Z INFO: processEOF: Rename failure (18) - /tmp/1717b334-39f0-1ddc-25f7-1ac9db92f4b8.tmp to /home/sheera/.secondlife/cache_sg1/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:36:12Z INFO: processEOF: xfer from 62.75.185.219:9051 complete: /home/sheera/.secondlife/cache_sg1/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:36:12Z INFO: onFileMuteList: LLMuteList::processMuteListFile()

Firestorm:
2017-11-13T17:40:48Z INFO: newview/llstartup.cpp(2273) : idle_startup: Requesting Mute List
2017-11-13T17:40:49Z INFO: newview/llmutelist.cpp(791) : processMuteListUpdate: LLMuteList::processMuteListUpdate()
2017-11-13T17:40:49Z INFO: llmessage/llxfer_file.cpp(142) : initializeRequest: Requesting xfer from 62.75.185.219:9051 for file: /home/sheera/.firestorm_x64/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:40:51Z WARNING: llcommon/llfile.cpp(127) : warnif: Couldn't rename to '/home/sheera/.firestorm_x64/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609' from '/tmp/513f9be2-b6a9-0afd-db97-f7ac77f1bf35.tmp' (errno 18): Invalid cross-device link
2017-11-13T17:40:51Z INFO: llmessage/llxfer_file.cpp(332) : processEOF: Rename failure (18) - /tmp/513f9be2-b6a9-0afd-db97-f7ac77f1bf35.tmp to /home/sheera/.firestorm_x64/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:40:51Z INFO: llmessage/llxfer.cpp(292) : processEOF: xfer from 62.75.185.219:9051 complete: /home/sheera/.firestorm_x64/cache/mutesebb05af4-5a05-4ba7-9f55-d2c21b625609
2017-11-13T17:40:51Z INFO: newview/llmutelist.cpp(827) : onFileMuteList: LLMuteList::processMuteListFile()

/home and /tmp are located on different drives. 62.75.185.219 is the address of the regionsserver.

(0032428)
UbitUmarov (administrator)
2017-11-13 17:30

as I said, coment out the mute list settings in a region opensim.ini
viewer cache should work now (but may include sl mutes)
(0032435)
melanie (administrator)
2017-11-14 03:29

That is bad advice. When the viewer receives no mute list reply, it never sends EconomyDataRequest, breaking any and all money modules (balance will not load)
(0032436)
melanie (administrator)
2017-11-14 04:14

I've dropped the old Avination mute code. It's database needs to be adapted to use Robust services because it requires a direct MySQL connection as it is now. Commit d35ab8c86ceb
(0032437)
melanie (administrator)
2017-11-14 04:14

d35ab8c86ceb

- Issue History
Date Modified Username Field Change
2017-11-07 13:16 Reg Halostar New Issue
2017-11-07 13:18 Reg Halostar Severity minor => feature
2017-11-11 19:42 UbitUmarov Note Added: 0032412
2017-11-13 09:47 Sheera Khan Note Added: 0032420
2017-11-13 09:59 Sheera Khan Note Edited: 0032420 View Revisions
2017-11-13 17:30 UbitUmarov Note Added: 0032428
2017-11-14 03:29 melanie Note Added: 0032435
2017-11-14 04:14 melanie Note Added: 0032436
2017-11-14 04:14 melanie Note Added: 0032437
2017-11-14 04:14 melanie Status new => resolved
2017-11-14 04:14 melanie Resolution open => fixed
2017-11-14 04:14 melanie Assigned To => melanie
2017-11-15 14:25 Sheera Khan Relationship added related to 0008266


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker